designate:
  pool_manager:
    enabled: true
  server:
    enabled: true
    region: RegionOne
    domain_id: 5186883b-91fb-4891-bd49-e6769234a8fc
    version: mitaka
    bind:
      api:
        address: 127.0.0.1
    mdns:
      address: 0.0.0.0
      port: 5354
    admin_api:
      enabled: true
      enabled_extensions_admin: quotas
    database:
        engine: mysql
        host: 127.0.0.1
        port: 3306
        name:
          main_database: designate
          pool_manager: designate_pool_manager
        user: designate
        password: passw0rd
    message_queue:
      engine: rabbitmq
      members:
        - host: 127.0.0.1
        - host: 127.0.1.1
        - host: 127.0.2.1
      user: openstack
      password: password
      virtual_host: '/openstack'
    identity:
      host: 127.0.0.1
      port: 35357
      user: designate
    logging:
      log_appender: false
      log_handlers:
        watchedfile:
          enabled: true
        fluentd:
          enabled: false
        ossyslog:
          enabled: false
    pools:
      default:
        description: 'default pool'
        attributes:
          service_tier: GOLD
          test_attr: test_value
        ns_records:
          - hostname: 'ns1.example.org.'
            priority: 10
        nameservers:
          - host: 127.0.0.1
            port: 53
          - host: 127.0.1.1
            port: 53
          - host: 127.0.2.1
            port: 53
        targets:
          default_target:
            type: bind9
            description: 'default target'
            masters:
              - host: 127.0.0.1
                port: 5354
            options:
              host: 127.0.0.1
              port: 53
              rndc_host: 127.0.0.1
              rndc_port: 953
              rndc_key_file: /etc/designate/rndc.key
        also_notifies:
          - host: 127.0.3.1
            port: 53
